var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\
      <meta name=\"product\" content=\"MOBPRO\" />\n\
      <meta name=\"release\" content=\"2018\" />\n\
      <meta name=\"book\" content=\"GeneralUser\" />\n\
      <meta name=\"created\" content=\"2017-09-08\" />\n\
      <meta name=\"topicid\" content=\"GUID-0465DFA9-A355-4D83-96BE-4D953DD9B8F2\" />\n\
      <meta name=\"topic-type\" content=\"concept\" />\n\
      <title>Logging and Debugging Functions</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script>$(\"div#WidgetFloaterPanels,link[href*=\'microsofttranslator.com\'],script[src*=\'microsofttranslator.com\'],script[src*=\'bing.com\']\").remove();</script><script type=\'text/javascript\'>$(\"div#navigation,div#breadcrumbs,div#banner\").attr(\"translate\",\"no\"); var mtLocation = ((location && location.href && location.href.indexOf(\'https\') == 0)?\'https://ssl.microsofttranslator.com\':\'http://www.microsofttranslator.com\')+\'/ajax/v3/WidgetV3.ashx?ctf=True&ui=true&settings=Manual&from=en&hidelanguages=\'; yepnope.injectJs(mtLocation, function() {}, { charset:\'utf-8\', type:\'text/javascript\' } );</script><script></script><!-- begin MT -->\n\
            \n\
            <div id=\'MicrosoftTranslatorWidget\' class=\'Dark\' style=\'float:right;z-index:100;color:white;background-color:#bbbbbb;height:58px;overflow:hidden\'></div><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-0465DFA9-A355-4D83-96BE-4D953DD9B8F2\"></a><div class=\"head\">\n\
            <h1>Logging and Debugging Functions</h1>\n\
         </div>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-72F6\"></a> The following functions are used to log plug-in data, which is useful for debugging.\n\
            You can view the log in the <em class=\"mild\">log</em> view, or by reading the <span class=\"filePath\" translate=\"no\">mudbox.log</span> file written by the application. On Windows, the log file is located in the <span class=\"filePath\" translate=\"no\">Users</span> folder. For example, <span class=\"filePath\" translate=\"no\">X:\\Users\\&lt;username&gt;\\Documents\\Mudbox\\&lt;version&gt;-x64\\data\\Logs\\mudbox.log</span>. \n\
         </p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-72F5\"></a><ul>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Kernel::Log()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_kernel.html#a2439879d378b14c256a37558e8570d3e&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Kernel::Log()</a></span> – Writes a message to the internal log. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Kernel::LogMemoryStatus()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_kernel.html#a5ea6d8f4b27f301d2d2210767b98a0a4&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Kernel::LogMemoryStatus()</a></span> – Writes the current memory status to the log. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Kernel::LogMemoryBlocks()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_kernel.html#a482b0c24f81a97e11f40d21bd0ab45f1&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Kernel::LogMemoryBlocks()</a></span> – Writes the memory blocks (used by <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Store\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_store.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Store</a></span>) to the log. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Kernel::GLCheckError()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_kernel.html#a88ae7aae25f62b8ce1fdb7a212798e3d&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Kernel::GLCheckError()</a></span> – Checks to see if there is an OpenGL error, and writes it to the log. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Kernel::GLCheckStates()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_kernel.html#a54af24800e39ad2a5af2a156daded864&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Kernel::GLCheckStates()</a></span> – Checks if the OpenGL states are all set to their default values, and writes the\n\
               result to the log. \n\
            </li>\n\
         </ul>\n\
         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br /><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\" /></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br /></div>\n\
   </div></body>\n\
</html>";