var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\
      <meta name=\"product\" content=\"MOBPRO\" />\n\
      <meta name=\"release\" content=\"2018\" />\n\
      <meta name=\"book\" content=\"GeneralUser\" />\n\
      <meta name=\"created\" content=\"2017-09-08\" />\n\
      <meta name=\"topicid\" content=\"GUID-170F33EE-3E74-40AB-B9B3-647E0FD58556\" />\n\
      <meta name=\"topic-type\" content=\"concept\" />\n\
      <title>Node Events</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script>$(\"div#WidgetFloaterPanels,link[href*=\'microsofttranslator.com\'],script[src*=\'microsofttranslator.com\'],script[src*=\'bing.com\']\").remove();</script><script type=\'text/javascript\'>$(\"div#navigation,div#breadcrumbs,div#banner\").attr(\"translate\",\"no\"); var mtLocation = ((location && location.href && location.href.indexOf(\'https\') == 0)?\'https://ssl.microsofttranslator.com\':\'http://www.microsofttranslator.com\')+\'/ajax/v3/WidgetV3.ashx?ctf=True&ui=true&settings=Manual&from=en&hidelanguages=\'; yepnope.injectJs(mtLocation, function() {}, { charset:\'utf-8\', type:\'text/javascript\' } );</script><script></script><!-- begin MT -->\n\
            \n\
            <div id=\'MicrosoftTranslatorWidget\' class=\'Dark\' style=\'float:right;z-index:100;color:white;background-color:#bbbbbb;height:58px;overflow:hidden\'></div><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-170F33EE-3E74-40AB-B9B3-647E0FD58556\"></a><div class=\"head\">\n\
            <h1>Node Events</h1>\n\
         </div>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-71AA\"></a> Node events occur when a change happens to a node, or its associated data (<span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Attribute\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/structmudbox_1_1_attribute.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Attribute</a></span>).The different types of node events are identified by the enumeration: <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"NodeEventType\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/namespacemudbox.html#a8d88d2a841f889dace76ffcd8d6b06da&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">NodeEventType</a></span>. The node events are: \n\
         </p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-71A9\"></a><ul>\n\
            <li>Value of an attribute is changed </li>\n\
            <li>An attribute is relinked to another attribute </li>\n\
            <li>A new attribute is linked or removed. </li>\n\
            <li> When the target node of the pointer is changed (See <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Node::ContentChanged()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_node.html#ad3c9664ff493aec61e62b36d6e25aa1d&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Node::ContentChanged()</a></span>) \n\
            </li>\n\
            <li>The target node of the pointer is about to destroyed. </li>\n\
            <li> Status of the attribute is changed (See <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Attribute::SetConst()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/structmudbox_1_1_attribute.html#a19dca5ae3b049bdc0043dcdb231d7fb9&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Attribute::SetConst()</a></span>). \n\
            </li>\n\
            <li>UI data in attributes are changed. </li>\n\
            <li>Dialog UI refresh </li>\n\
         </ul>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-71A0\"></a> A node event can be handled in a class derived from <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Node\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_node.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Node</a></span> by overriding the virtual function: <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Node::OnNodeEvent()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_node.html#aaa05aea8ebe7ddc268c5776075c2d462&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Node::OnNodeEvent()</a></span>. The <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Node::OnNodeEvent()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_node.html#aaa05aea8ebe7ddc268c5776075c2d462&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Node::OnNodeEvent()</a></span> receives a constant reference to an object of type <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"EventGate\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_event_gate.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">EventGate</a></span>. The <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"EventGate\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_event_gate.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">EventGate</a></span> type is equivalent to the type <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"aevent\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/namespacemudbox.html#a7f73274122053bf123342cac50801010&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">aevent</a></span>. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-719F\"></a> Event gates can be used for triggering (emitting) or receiving events. An emitter\n\
            gate can be connected to a receiver gate via the <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"EventGate::Connect()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_event_gate.html#ade52adab7e4e857ef1b8efc2fa048ff4&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">EventGate::Connect()</a></span> member function. Multiple receiver gates can also be connected in sequence, where\n\
            each receiver acts as an emitter for any events it receives. An event gate derives\n\
            from <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Attribute\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/structmudbox_1_1_attribute.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Attribute</a></span>. \n\
         </p>\n\
         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br /><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\" /></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br /></div>\n\
   </div></body>\n\
</html>";