var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\
      <meta name=\"product\" content=\"MOBPRO\" />\n\
      <meta name=\"release\" content=\"2018\" />\n\
      <meta name=\"book\" content=\"GeneralUser\" />\n\
      <meta name=\"created\" content=\"2017-09-08\" />\n\
      <meta name=\"topicid\" content=\"GUID-68446ACF-4DD6-4B7A-9046-1356DD1F609C\" />\n\
      <meta name=\"description\" content=\"This section presents the use of 2D and 3D layers within the Mudbox SDK, and also describes viewport filters, which are applied to the rendered scene before it is displayed.\" />\n\
      <meta name=\"topic-type\" content=\"concept\" />\n\
      <title>Layers and Viewport Filters</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script>$(\"div#WidgetFloaterPanels,link[href*=\'microsofttranslator.com\'],script[src*=\'microsofttranslator.com\'],script[src*=\'bing.com\']\").remove();</script><script type=\'text/javascript\'>$(\"div#navigation,div#breadcrumbs,div#banner\").attr(\"translate\",\"no\"); var mtLocation = ((location && location.href && location.href.indexOf(\'https\') == 0)?\'https://ssl.microsofttranslator.com\':\'http://www.microsofttranslator.com\')+\'/ajax/v3/WidgetV3.ashx?ctf=True&ui=true&settings=Manual&from=en&hidelanguages=\'; yepnope.injectJs(mtLocation, function() {}, { charset:\'utf-8\', type:\'text/javascript\' } );</script><script></script><!-- begin MT -->\n\
            \n\
            <div id=\'MicrosoftTranslatorWidget\' class=\'Dark\' style=\'float:right;z-index:100;color:white;background-color:#bbbbbb;height:58px;overflow:hidden\'></div><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-68446ACF-4DD6-4B7A-9046-1356DD1F609C\"></a><div class=\"head\">\n\
            <h1>Layers and Viewport Filters</h1>\n\
         </div>\n\
         <p class=\"blurb\">This section presents the use of 2D and 3D layers within the Mudbox SDK, and also\n\
            describes viewport filters, which are applied to the rendered scene before it is displayed.\n\
            \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-71E7\"></a> Layers are used for organizing objects and transparency values assigned to each element.\n\
            There are two kinds of layers: 2D layers, derived from <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Layer\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_layer.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Layer</a></span>, and 3D (sculpt) layers derived from <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"LayerMeshData\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_layer_mesh_data.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">LayerMeshData</a></span>. \n\
         </p>\n\
         <div class=\"section\"><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-71E6\"></a> \n\
            <h2><a name=\"GUID-DCFF98CD-43E1-4F3A-BB0F-178D38C25462\"></a>Layer and Viewport Filter Related Classes\n\
            </h2> <a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-71E5\"></a><ul>\n\
               <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Layer\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_layer.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Layer</a></span> - The base class for anything which is an element of a list with a fixed order and\n\
                  a transparency value assigned to each element. For more information see the topic\n\
                  <span class=\"char_link\"><a href=\"#!/url=./files/GUID-ED000B7C-62E7-471D-BCF2-9AC1176CECB2.htm\">2D Layers</a></span>. \n\
               </li>\n\
               <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"LayerMeshData\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_layer_mesh_data.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">LayerMeshData</a></span> - Represents a 3D sculpt layer. It stores offsets (deltas) to the vertex positions\n\
                  of a mesh. For more information see the topic <span class=\"char_link\"><a href=\"#!/url=./files/GUID-BAEE3123-BE21-47F5-B868-24B959A86DC0.htm\">Sculpt Layers</a></span>. \n\
               </li>\n\
               <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"LayerContainer\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_layer_container.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">LayerContainer</a></span> - Contains and manages a list of layers. For more information see the topic <span class=\"char_link\"><a href=\"#!/url=./files/GUID-E78ABC88-DDC3-4CDE-B65A-98B361DE7719.htm\">Layer Containers</a></span>. \n\
               </li>\n\
               <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"ViewPort\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_view_port.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">ViewPort</a></span> - Represents the 3D viewport where Mudbox renders the scene. For more information\n\
                  see the topic <span class=\"char_link\"><a href=\"#!/url=./files/GUID-2A8A44E4-4E5E-4166-A2FA-24EA9BE7368C.htm\">Viewports</a></span>. \n\
               </li>\n\
               <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"ViewPortFilter\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_view_port_filter.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">ViewPortFilter</a></span> - Represents an object which is used to apply some post-processing effect to the\n\
                  viewport. For more information see the topic <span class=\"char_link\"><a href=\"#!/url=./files/GUID-8FB04A74-D211-4CA8-A5EF-C06FC92F07ED.htm\">Viewport Filters</a></span>. \n\
               </li>\n\
               <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"ViewPortState\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/structmudbox_1_1_view_port_state.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">ViewPortState</a></span> - Holds all the information about the current viewport state, used by <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"ViewPortFilter\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_view_port_filter.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">ViewPortFilter</a></span> objects. For more information see the topic <span class=\"char_link\"><a href=\"#!/url=./files/GUID-8FB04A74-D211-4CA8-A5EF-C06FC92F07ED.htm\">Viewport Filters</a></span>. \n\
               </li>\n\
            </ul> \n\
         </div><span class=\"noindex\">\n\
            <div class=\"topic-list\">\n\
               <h4 class=\"related\">Topics in this section</h4>\n\
               <ul class=\"jumplist\">\n\
                  <li class=\"topiclist-litem\"><a href=\"#!/url=./files/GUID-ED000B7C-62E7-471D-BCF2-9AC1176CECB2.htm\">2D Layers</a></li>\n\
                  <li class=\"topiclist-litem\"><a href=\"#!/url=./files/GUID-E78ABC88-DDC3-4CDE-B65A-98B361DE7719.htm\">Layer Containers</a></li>\n\
                  <li class=\"topiclist-litem\"><a href=\"#!/url=./files/GUID-BAEE3123-BE21-47F5-B868-24B959A86DC0.htm\">Sculpt Layers</a></li>\n\
                  <li class=\"topiclist-litem\"><a href=\"#!/url=./files/GUID-2A8A44E4-4E5E-4166-A2FA-24EA9BE7368C.htm\">Viewports</a></li>\n\
                  <li class=\"topiclist-litem\"><a href=\"#!/url=./files/GUID-8FB04A74-D211-4CA8-A5EF-C06FC92F07ED.htm\">Viewport Filters</a></li>\n\
               </ul>\n\
            </div></span><div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br /><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\" /></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br /></div>\n\
   </div></body>\n\
</html>";