var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\
      <meta name=\"product\" content=\"MOBPRO\" />\n\
      <meta name=\"release\" content=\"2018\" />\n\
      <meta name=\"book\" content=\"GeneralUser\" />\n\
      <meta name=\"created\" content=\"2017-09-08\" />\n\
      <meta name=\"topicid\" content=\"GUID-A25A3FD0-B999-457E-884D-7F91939D34BB\" />\n\
      <meta name=\"topic-type\" content=\"concept\" />\n\
      <title>Mesh Division</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script>$(\"div#WidgetFloaterPanels,link[href*=\'microsofttranslator.com\'],script[src*=\'microsofttranslator.com\'],script[src*=\'bing.com\']\").remove();</script><script type=\'text/javascript\'>$(\"div#navigation,div#breadcrumbs,div#banner\").attr(\"translate\",\"no\"); var mtLocation = ((location && location.href && location.href.indexOf(\'https\') == 0)?\'https://ssl.microsofttranslator.com\':\'http://www.microsofttranslator.com\')+\'/ajax/v3/WidgetV3.ashx?ctf=True&ui=true&settings=Manual&from=en&hidelanguages=\'; yepnope.injectJs(mtLocation, function() {}, { charset:\'utf-8\', type:\'text/javascript\' } );</script><script></script><!-- begin MT -->\n\
            \n\
            <div id=\'MicrosoftTranslatorWidget\' class=\'Dark\' style=\'float:right;z-index:100;color:white;background-color:#bbbbbb;height:58px;overflow:hidden\'></div><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-A25A3FD0-B999-457E-884D-7F91939D34BB\"></a><div class=\"head\">\n\
            <h1>Mesh Division</h1>\n\
         </div>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7266\"></a> The <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"MeshGrid\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_mesh_grid.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">MeshGrid</a></span> class is an interface for plug-ins that divide the surface of a mesh into grids.\n\
            A grid is a collection of quad faces over the surface in a grid pattern with the size\n\
            of 1x1, 2x2, 4x4, 8x8, and so on. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7265\"></a> The <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"MeshGrid\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_mesh_grid.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">MeshGrid</a></span> class is responsible to supply a list of grids on the surface with the following\n\
            rules: \n\
         </p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7264\"></a><ol type=\"1\" start=\"1\">\n\
            <li>The grids must be disjoint: one face can only belong to one grid and no more. </li>\n\
            <li>These grids must cover the whole surface. </li>\n\
         </ol>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7261\"></a> A <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"MeshGrid\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_mesh_grid.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">MeshGrid</a></span> is used by Mudbox when it is rendering meshes with high polygon counts using level\n\
            of detail. A <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"MeshGrid\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_mesh_grid.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">MeshGrid</a></span> is always created as the child of the <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Mesh\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_mesh.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Mesh</a></span> object, so it can obtain a pointer to the mesh by calling <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"TreeNode::Parent()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_tree_node.html#a9ddcaa915380bccaad0f0fe8112e3e29&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">TreeNode::Parent()</a></span>. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7260\"></a> To control the algorithm by which these grids are created, you can override this\n\
            class in a plug-in and replace Mudbox\'s version, which is in the <span class=\"filePath\" translate=\"no\">MeshGrid</span> plug-in. \n\
         </p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-725F\"></a><ol type=\"1\" start=\"1\">\n\
            <li>Write a plug-in that defines your own class derived from <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"MeshGrid\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_mesh_grid.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">MeshGrid</a></span>. \n\
            </li>\n\
            <li> Delete the existing <span class=\"filePath\" translate=\"no\">MeshGrid</span> plug-in, and copy yours into the plug-in folder. On OSX, this plug-in is found in\n\
               the Mudbox package under <span class=\"filePath\" translate=\"no\">Contents &gt; MacOS &gt; plugins</span>. On Windows, it is found in the <span class=\"filePath\" translate=\"no\">&lt;your_installation_directory&gt;\\plugins</span> folder. \n\
            </li>\n\
         </ol>\n\
         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br /><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\" /></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br /></div>\n\
   </div></body>\n\
</html>";