var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\
      <meta name=\"product\" content=\"MOBPRO\" />\n\
      <meta name=\"release\" content=\"2018\" />\n\
      <meta name=\"book\" content=\"GeneralUser\" />\n\
      <meta name=\"created\" content=\"2017-09-08\" />\n\
      <meta name=\"topicid\" content=\"GUID-BEFC2483-F8FB-41B2-801E-A8C5A7EE567F\" />\n\
      <meta name=\"topic-type\" content=\"concept\" />\n\
      <title>Run-Time Type Information (RTTI)</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script>$(\"div#WidgetFloaterPanels,link[href*=\'microsofttranslator.com\'],script[src*=\'microsofttranslator.com\'],script[src*=\'bing.com\']\").remove();</script><script type=\'text/javascript\'>$(\"div#navigation,div#breadcrumbs,div#banner\").attr(\"translate\",\"no\"); var mtLocation = ((location && location.href && location.href.indexOf(\'https\') == 0)?\'https://ssl.microsofttranslator.com\':\'http://www.microsofttranslator.com\')+\'/ajax/v3/WidgetV3.ashx?ctf=True&ui=true&settings=Manual&from=en&hidelanguages=\'; yepnope.injectJs(mtLocation, function() {}, { charset:\'utf-8\', type:\'text/javascript\' } );</script><script></script><!-- begin MT -->\n\
            \n\
            <div id=\'MicrosoftTranslatorWidget\' class=\'Dark\' style=\'float:right;z-index:100;color:white;background-color:#bbbbbb;height:58px;overflow:hidden\'></div><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-BEFC2483-F8FB-41B2-801E-A8C5A7EE567F\"></a><div class=\"head\">\n\
            <h1>Run-Time Type Information (RTTI)</h1>\n\
         </div>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7171\"></a> Mudbox uses its own run-time type information system. An instance of the class <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"ClassDesc\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_class_desc.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">ClassDesc</a></span> is assigned to each class derived from <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Node\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_node.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Node</a></span> and holds information such as: \n\
         </p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7170\"></a><ul>\n\
            <li>Name of the class</li>\n\
            <li>Name of the class as it appears in the source code</li>\n\
            <li>Pointer to a function which can create instances of the class</li>\n\
            <li> Pointer to the <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"ClassDesc\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_class_desc.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">ClassDesc</a></span> instance describing the parent class(es) \n\
            </li>\n\
         </ul>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-716B\"></a> These <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"ClassDesc\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_class_desc.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">ClassDesc</a></span> instances are linked in a list so it\'s possible to enumerate the class and search\n\
            for a class with a given name or given parent, and create instances of the class.\n\
            \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-716A\"></a> There are two macros defined in the SDK for creating a <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"ClassDesc\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_class_desc.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">ClassDesc</a></span> instance for a given class, these are: \n\
         </p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7169\"></a><ul>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"DECLARE_CLASS\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/node_8h.html#a431009564592a24e5f46f5df421131a1&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">DECLARE_CLASS</a></span> - This must be used in the header file of the class and doesn’t need any parameter\n\
               \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"IMPLEMENT_CLASS\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/node_8h.html#a1d51ad935ab5d26fe95dff62601b602c&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">IMPLEMENT_CLASS</a></span> - Used in the implementation file. Requires the name of the class, the name of the\n\
               parent class and a display name of the class as parameters. \n\
            </li>\n\
         </ul>\n\
         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br /><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\" /></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br /></div>\n\
   </div></body>\n\
</html>";