var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\
      <meta name=\"product\" content=\"MOBPRO\" />\n\
      <meta name=\"release\" content=\"2018\" />\n\
      <meta name=\"book\" content=\"GeneralUser\" />\n\
      <meta name=\"created\" content=\"2017-09-08\" />\n\
      <meta name=\"topicid\" content=\"GUID-D99AC5B5-59F0-45DB-9D76-EDFB995169A5\" />\n\
      <meta name=\"topic-type\" content=\"concept\" />\n\
      <title>Serializing Plug-in Data</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script>$(\"div#WidgetFloaterPanels,link[href*=\'microsofttranslator.com\'],script[src*=\'microsofttranslator.com\'],script[src*=\'bing.com\']\").remove();</script><script type=\'text/javascript\'>$(\"div#navigation,div#breadcrumbs,div#banner\").attr(\"translate\",\"no\"); var mtLocation = ((location && location.href && location.href.indexOf(\'https\') == 0)?\'https://ssl.microsofttranslator.com\':\'http://www.microsofttranslator.com\')+\'/ajax/v3/WidgetV3.ashx?ctf=True&ui=true&settings=Manual&from=en&hidelanguages=\'; yepnope.injectJs(mtLocation, function() {}, { charset:\'utf-8\', type:\'text/javascript\' } );</script><script></script><!-- begin MT -->\n\
            \n\
            <div id=\'MicrosoftTranslatorWidget\' class=\'Dark\' style=\'float:right;z-index:100;color:white;background-color:#bbbbbb;height:58px;overflow:hidden\'></div><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-D99AC5B5-59F0-45DB-9D76-EDFB995169A5\"></a><div class=\"head\">\n\
            <h1>Serializing Plug-in Data</h1>\n\
         </div>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-715C\"></a> In a Mudbox plug-in you can load or save plug-in data with the scene by overloading\n\
            the <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Node::Serialize()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_node.html#ab6cacad27ca0e44222c82c39dbc3b767&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Node::Serialize()</a></span> method. Mudbox will call <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Node::Serialize()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_node.html#ab6cacad27ca0e44222c82c39dbc3b767&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Node::Serialize()</a></span> method with an initialized <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Stream\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_stream.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Stream</a></span> object. You can then query <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Stream::IsStoring()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_stream.html#a616ad15a93d8d9aa40f7a5abe38dcd13&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Stream::IsStoring()</a></span> to implement the saving or loading application logic, depending on whether the return\n\
            value is <span class=\"code\" translate=\"no\">true</span> or <span class=\"code\" translate=\"no\">false</span> respectively. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-715B\"></a> Any attributes you create in a plug-in that you wish serialized with the scene will\n\
            have to be manually serialized. For example: \n\
         </p>\n\
         <div class=\"codeBlock\"><pre class=\"prettyprint\">MyPlugin : Node {\n\
    Attribute A;\n\
    Attribute B;\n\
\n\
    public:\n\
        MyPlugin::Serialize(Stream&amp; <a href=\"javascript:void(0)\" data-symbol=\"s\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/_g_lee_8h.html#ad585a1393cfa368fa9dc3d8ebff640d5&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">s</a>) {\n\
            if ( s.IsStoring() ) {\n\
                <a href=\"javascript:void(0)\" data-symbol=\"s\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/_g_lee_8h.html#ad585a1393cfa368fa9dc3d8ebff640d5&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">s</a> &lt;&lt; A &lt;&lt; B;\n\
            } else {        \n\
                <a href=\"javascript:void(0)\" data-symbol=\"s\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/_g_lee_8h.html#ad585a1393cfa368fa9dc3d8ebff640d5&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">s</a> &gt;&gt; A &gt;&gt; B;\n\
            }\n\
        }\n\
};</pre></div>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-715A\"></a> The Mudbox SDK also provides an overload of the <span class=\"code\" translate=\"no\">operator==</span> to mean <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Node::Serialize()\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_node.html#ab6cacad27ca0e44222c82c39dbc3b767&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Node::Serialize()</a></span>. So alternatively you can write: \n\
         </p>\n\
         <div class=\"codeBlock\"><pre class=\"prettyprint\">MyPlugin : Node {\n\
    Attribute A;\n\
    Attribute B;\n\
\n\
    public:\n\
        MyPlugin::Serialize(Stream&amp; <a href=\"javascript:void(0)\" data-symbol=\"s\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/_g_lee_8h.html#ad585a1393cfa368fa9dc3d8ebff640d5&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">s</a>) {\n\
            <a href=\"javascript:void(0)\" data-symbol=\"s\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/_g_lee_8h.html#ad585a1393cfa368fa9dc3d8ebff640d5&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">s</a> == A == B;    \n\
        }\n\
};</pre></div>\n\
         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br /><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\" /></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br /></div>\n\
   </div></body>\n\
</html>";