var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\
      <meta name=\"product\" content=\"MOBPRO\" />\n\
      <meta name=\"release\" content=\"2018\" />\n\
      <meta name=\"book\" content=\"GeneralUser\" />\n\
      <meta name=\"created\" content=\"2017-09-08\" />\n\
      <meta name=\"topicid\" content=\"GUID-02FA7DD3-6C7A-4C6A-B7BC-824765AE1CB2\" />\n\
      <meta name=\"topic-type\" content=\"concept\" />\n\
      <title>Texture Extraction</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script>$(\"div#WidgetFloaterPanels,link[href*=\'microsofttranslator.com\'],script[src*=\'microsofttranslator.com\'],script[src*=\'bing.com\']\").remove();</script><script type=\'text/javascript\'>$(\"div#navigation,div#breadcrumbs,div#banner\").attr(\"translate\",\"no\"); var mtLocation = ((location && location.href && location.href.indexOf(\'https\') == 0)?\'https://ssl.microsofttranslator.com\':\'http://www.microsofttranslator.com\')+\'/ajax/v3/WidgetV3.ashx?ctf=True&ui=true&settings=Manual&from=en&hidelanguages=\'; yepnope.injectJs(mtLocation, function() {}, { charset:\'utf-8\', type:\'text/javascript\' } );</script><script></script><!-- begin MT -->\n\
            \n\
            <div id=\'MicrosoftTranslatorWidget\' class=\'Dark\' style=\'float:right;z-index:100;color:white;background-color:#bbbbbb;height:58px;overflow:hidden\'></div><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-02FA7DD3-6C7A-4C6A-B7BC-824765AE1CB2\"></a><div class=\"head\">\n\
            <h1>Texture Extraction</h1>\n\
         </div>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7212\"></a> Texture extraction is a technique of extracting high-resolution detail from the sculpted\n\
            mesh as a bitmap image (the map). \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7211\"></a> In Mudbox three kinds of maps can be created: \n\
         </p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7210\"></a><ol type=\"1\" start=\"1\">\n\
            <li>ambient occlusion map </li>\n\
            <li>normal map </li>\n\
            <li>displacement map </li>\n\
         </ol>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-720C\"></a> During texture extraction a texture is calculated from two models. The low resolution\n\
            mesh holds the texture, and the high resolution mesh hold the information which must\n\
            be stored in the texture. The high resolution mesh is picked (see <span class=\"char_link\"><a href=\"#!/url=./files/GUID-87B90A2A-0593-428A-995F-6F77449CA810.htm\">Picking</a></span>) once for each texture element (texel) of the texture of the low resolution mesh.\n\
            Once the pick point is found the further calculations depend on the settings. If a\n\
            normal map must be calculated then the normal of the picked point is stored into the\n\
            texture. In case of a displacement map the distance between the picked point and the\n\
            original low resolution mesh point is stored into the map. \n\
         </p>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-720B\"></a> The process is done in tiles, which are part of the full big texture on the low resolution\n\
            mesh. If the texture coordinates are outside of the range 0-1, then the low resolution\n\
            mesh has more than one texture tile and those tiles must be processed separately.\n\
            It means that the surface is not processed as a whole but as pieces depending on the\n\
            texture coordinates of the low resolution mesh. If subdivision of the low resolution\n\
            mesh is turned on then only the surface piece which belongs to the current texture\n\
            coordinate range is subdivided. If the high resolution mesh is specified in an external\n\
            bio file, only part of the file is loaded in one step, reducing the memory needed.\n\
            In most cases (subdividing the low resolution mesh needs a lot of memory) it happens\n\
            several times that Mudbox runs out of memory. In this case Mudbox cancels the calculation\n\
            of the current texture area, and splits it into four small areas. If the operations\n\
            are all successful the results are merged to one big texture, otherwise further splits\n\
            will be done. \n\
         </p>\n\
         <div class=\"see-also\">\n\
            <h4>See Also</h4>\n\
            <div class=\"related-links\">\n\
               <ul>\n\
                  <li> <span class=\"char_link\"><a href=\"#!/url=./files/GUID-87B90A2A-0593-428A-995F-6F77449CA810.htm\">Picking</a></span> \n\
                  </li>\n\
                  <li> <span class=\"char_link\"><a href=\"#!/url=./files/GUID-78DE92E0-35DB-4563-BA91-1A22DC3A374A.htm\">Subdivision</a></span> \n\
                  </li>\n\
               </ul>\n\
            </div>\n\
         </div>\n\
         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br /><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\" /></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br /></div>\n\
   </div></body>\n\
</html>";