var topic = "<!DOCTYPE html>\n\
\n\
<!-- saved from url=(0024)http://docs.autodesk.com -->\n\
<html>\n\
   <head>\n\
<link href=\"../style/prettify.css\" type=\"text/css\" rel=\"stylesheet\" />\n\
<script type=\"text/javascript\" src=\"../scripts/prettify.js\"></script><script src=\"../scripts/lib/jquery-1.11.1.min.js\" type=\"text/javascript\"></script>\n\
      <meta http-equiv=\"Content-Type\" content=\"text/html; charset=UTF-8\" />\n\
      <meta name=\"product\" content=\"MOBPRO\" />\n\
      <meta name=\"release\" content=\"2018\" />\n\
      <meta name=\"book\" content=\"GeneralUser\" />\n\
      <meta name=\"created\" content=\"2017-09-08\" />\n\
      <meta name=\"topicid\" content=\"GUID-3E370909-9C8F-4174-BE26-7842F2CDF870\" />\n\
      <meta name=\"topic-type\" content=\"concept\" />\n\
      <title>System Events</title></head>\n\
   <body height=\"100%\"><div class=\"body_content\" id=\"body-content\"><script language=\"javascript\">var index = \'index.html\';</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/ac_common.js\"); });</script><script>$(document).ready(function() { yepnope.injectJs(\"./scripts/multireflink.js\"); });</script><script>$(document).ready(function () { prettyPrint(); } );</script><script>$(\"div#WidgetFloaterPanels,link[href*=\'microsofttranslator.com\'],script[src*=\'microsofttranslator.com\'],script[src*=\'bing.com\']\").remove();</script><script type=\'text/javascript\'>$(\"div#navigation,div#breadcrumbs,div#banner\").attr(\"translate\",\"no\"); var mtLocation = ((location && location.href && location.href.indexOf(\'https\') == 0)?\'https://ssl.microsofttranslator.com\':\'http://www.microsofttranslator.com\')+\'/ajax/v3/WidgetV3.ashx?ctf=True&ui=true&settings=Manual&from=en&hidelanguages=\'; yepnope.injectJs(mtLocation, function() {}, { charset:\'utf-8\', type:\'text/javascript\' } );</script><script></script><!-- begin MT -->\n\
            \n\
            <div id=\'MicrosoftTranslatorWidget\' class=\'Dark\' style=\'float:right;z-index:100;color:white;background-color:#bbbbbb;height:58px;overflow:hidden\'></div><div id=\"reflinkdiv\"></div>\n\
      <div class=\"body_content\" id=\"body-content\" dir=\"ltr\"><a name=\"GUID-3E370909-9C8F-4174-BE26-7842F2CDF870\"></a><div class=\"head\">\n\
            <h1>System Events</h1>\n\
         </div>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-719D\"></a> The following system events can be monitored: \n\
         </p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-719C\"></a><ul>\n\
            <li> <span class=\"code\" translate=\"no\"> <a href=\"javascript:void(0)\" data-symbol=\"ViewPort::FrameEvent\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_view_port.html#a2e29eaa1072f30b78d72de0259b0ce4d&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">ViewPort::FrameEvent</a></span> – Triggered when a new frame is displayed on the viewport. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"> <a href=\"javascript:void(0)\" data-symbol=\"ViewPort::EndRenderEvent\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_view_port.html#a54b1279c7db25054ab957fdcb160cefa&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">ViewPort::EndRenderEvent</a></span> – Triggered when rendering of an image to the screen is completed. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Kernel::LowMemoryEvent\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_kernel.html#ad0da315c7f385bb4ba0941ea68e38154&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Kernel::LowMemoryEvent</a></span> – Triggered when memory status is critical. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"Kernel::RestoreMemoryEvent\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_kernel.html#af380b1b6a420fa948bddbd5e51148090&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">Kernel::RestoreMemoryEvent</a></span> – Triggered when memory status is no longer critical. \n\
            </li>\n\
            <li> <span class=\"code\" translate=\"no\"> <a href=\"javascript:void(0)\" data-symbol=\"ViewPort::PostRenderEvent\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_view_port.html#a6f65f11714f0c2182ef9e433d6981af9&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">ViewPort::PostRenderEvent</a></span> – Triggered at the end of rendering a scene to a <span class=\"code\" translate=\"no\"><a href=\"javascript:void(0)\" data-symbol=\"RenderTarget\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/classmudbox_1_1_render_target.html&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">RenderTarget</a></span>. \n\
            </li>\n\
         </ul>\n\
         <p><a name=\"WS73099CC142F487551FEA285E1221E4F9FF8-7196\"></a> The following example demonstrates how to monitor a low memory event. \n\
         </p>\n\
         <div class=\"codeBlock\"><pre class=\"prettyprint\">class MyClass : public Node  {\n\
    aevent lowMemoryEventReceiver;\n\
\n\
    MyClass() {\n\
        lowMemoryEventReceiver.Connect( Kernel()-&gt;LowMemoryEvent );\n\
    };\n\
        \n\
    void OnEvent( const EventGate &amp;amp;cEvent ) {\n\
        if ( cEvent == LowMemoryEvent ) {\n\
            // free some <a href=\"javascript:void(0)\" data-symbol=\"buffers\" class=\"a_multireflink\" data-reflinkdata=\"[{&quot;path&quot;:&quot;cpp_ref/_g_lee_8h.html#acaf3212fc88caa23745613e709a3e869&quot;,&quot;title&quot;:&quot;C++ API Reference&quot;,&quot;relpathtoroot&quot;:&quot;../&quot;}]\">buffers</a>\n\
        }\n\
    }\n\
};</pre></div>\n\
         <div class=\"footer-block\"><a href=\"..\" class=\"comments-anchor\" target=\"_blank\"><span class=\"comments-link\">Please send us your comment about this page</span></a></div><br /><p class=\"footer-license-block\"><a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\"><img alt=\"Creative Commons License\" style=\"border-width: 0;\" src=\"images/ccLink.png\" /></a>&nbsp;<em>Except where otherwise noted, this work is licensed under a <a rel=\"license\" href=\"http://creativecommons.org/licenses/by-nc-sa/3.0/\" target=\"_blank\">Creative Commons Attribution-NonCommercial-ShareAlike 3.0 Unported License</a>. Please see the <a href=\"http://autodesk.com/creativecommons\" target=\"_blank\">Autodesk Creative Commons FAQ</a> for more information.</em></p><br /></div>\n\
   </div></body>\n\
</html>";